#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 12. System Utilities

- Prev

  MC-4.8.33

- Next

  notification-daemon-3.20.0

- Up
- Home

# ModemManager-1.24.2

## Introduction to ModemManager

ModemManager provides a unified high level API for communicating with mobile broadband modems, regardless of the protocol used to communicate with the actual device.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/mobile-broadband/ModemManager/-/archive/1.24.2/ModemManager-1.24.2.tar.gz

- Download MD5 sum: b72860c54670f362e947edba160fa98e

- Download size: 2.0 MB

- Estimated disk space required: 59 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; with tests)

### ModemManager Dependencies

#### Required

libgudev-238 and libxslt-1.1.45

#### Recommended

GLib-2.88.0 (with GObject Introspection), libmbim-1.34.0, libqmi-1.38.0, Polkit-127, and Vala-0.56.19

#### Optional

GTK-Doc-1.36.1

Editor Notes: https://wiki.linuxfromscratch.org/blfs/wiki/ModemManager

## Installation of ModemManager

Install ModemManager by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..                 \
          --prefix=/usr            \
          --buildtype=release      \
          -D bash_completion=false \
          -D qrtr=false            &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D bash_completion=false`: Use this option if the external bash-completion package is not installed.

`-D qrtr=false`: This switch disables support for the QRTR protocol which needs the external libqrtr-glib package.

## Configuring ModemManager

### Systemd Units

To start the ModemManager daemon at boot, enable the previously installed systemd unit by running the following command as the `root` user:

    systemctl enable ModemManager

## Contents

Installed Programs: mmcli and ModemManager
Installed Libraries: libmm-glib.so
Installed Directories: /etc/ModemManager, /usr/include/libmm-glib, /usr/include/ModemManager, /usr/lib/ModemManager, /usr/share/ModemManager, /usr/share/gtk-doc/html/libmm-glib (optional), and /usr/share/gtk-doc/html/ModemManager (optional)

### Short Descriptions

mmcli | is a utility used to control and monitor the ModemManager
ModemManager | is a D-Bus service used to communicate with modems
`libmm-glib.so` | contains API functions for communicating with mobile broadband modems, regardless of the protocol used to communicate with the actual device

- Prev

  MC-4.8.33

- Next

  notification-daemon-3.20.0

- Up
- Home